borg-version(1)

Name
borg-version - Displays the Borg client and server versions.

SYNOPSIS

borg [common options] version [options]

DESCRIPTION

This command displays the Borg client and server versions.

For current repositories the client code directly accesses the repository (also for rest:// repositories), so the client version is shown as the server version, too.

If a legacy (borg 1.x / v1) repository is given via ssh: together with --from-borg1, the remote Borg is queried, and its version is displayed as the server version.

Examples:

    # local repository (client uses 1.4.0 alpha version)
    $ borg version /mnt/backup
    1.4.0a / 1.4.0a
    # legacy remote repository (client uses 1.4.0 alpha, server uses 1.2.7 release)
    $ borg version --from-borg1 ssh://borg@borgbackup:repo
    1.4.0a / 1.2.7

Due to the version tuple format used in Borg client/server negotiation, only a simplified version is displayed (as provided by borg.version.format_version).

You can also use borg --version to display a potentially more precise client version.

OPTIONS

See borg-common(1) for common options of Borg commands.

SEE ALSO

borg-common(1)

Author
The Borg Collective